package com.heyu.api.data.service.ai;
/**
* <p>
* AI角色配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.ai.AiTypeEntity;
public interface AiTypeService extends IService<AiTypeEntity> {



	AiTypeEntity selectAiTypeById(Long id);


	Long insertAiType(AiTypeEntity aiType);


	Long insertOrUpdateAiType(AiTypeEntity aiType);


	int updateAiTypeById(AiTypeEntity aiType);


	int updateCoverAiTypeById(AiTypeEntity aiType);


	int deleteAiTypeById(Long id);


}